| Home | Libraries | People | FAQ | More

## Function template hash_value

boost::typeindex::hash_value

## Synopsis

    // In header: <boost/type_index/type_index_facade.hpp>

    template<typename Derived, typename TypeInfo>
      std::size_t hash_value(const type_index_facade< Derived, TypeInfo > & lhs);

## Description

This free function is used by Boost's unordered containers.

| Note
<boost/functional/hash.hpp> has to be included if this function is used.